class NoConnectionException implements Exception {}

class HttpClientException implements Exception {
  final Map<String, dynamic> body;

  HttpClientException(this.body);
}

class HttpUnauthorizedException implements Exception {
  final Map<String, dynamic> body;

  HttpUnauthorizedException(this.body);
}

class HttpServerException implements Exception {
  final Map<String, dynamic> body;

  HttpServerException(this.body);
}

class HttpUnknownException implements Exception {
  final Map<String, dynamic> body;

  HttpUnknownException(this.body);
}
